import ntplib #http://pypi.python.org/pypi/ntplib/
import time
import sys
import os
import urllib2
from datetime import datetime

def tme():
    global realtime
    global computertime
    global timeoff
    c = ntplib.NTPClient()
    response = c.request('europe.pool.ntp.org', version=3)
    timeoff = response.offset
    computertime = time.time()
    realtime = timeoff+computertime

def wryte():
    tme()
    file = open ('save.txt', 'r+')
    print file
    wrytestring = repr(realtime)
    file.write(wrytestring)
    file.close()
    os.system('cls')
    print 'Time Reset'
    print 'Time now:',realtime
    d2 = datetime.fromtimestamp( int(float(realtime) ) )
    print d2
	
def dfilewtpq20():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpq20.rjtd..txt")
	output = open('wtpq20_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpq20.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpq20.txt','w+b')
		copy = open('wtpq20_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[2]+6)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[4]+16)
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[5]+6)
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[6]+6)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[7]+6)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPQ20 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpq21():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpq21.rjtd..txt")
	output = open('wtpq21_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpq21.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpq21.txt','w+b')
		copy = open('wtpq21_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[2]+6)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[4]+16)
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[5]+6)
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[6]+6)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[7]+6)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPQ21 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpq22():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpq22.rjtd..txt")
	output = open('wtpq22_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpq22.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpq22.txt','w+b')
		copy = open('wtpq22_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[2]+6)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[4]+16)
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[5]+6)
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[6]+6)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[7]+6)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPQ22 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpz21():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz21.knhc.tcm.ep1.txt")
	output = open('wtpz21_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz21.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz21.txt','w+b')
		copy = open('wtpz21_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPZ21 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpz22():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz22.knhc.tcm.ep2.txt")
	output = open('wtpz22_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz22.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz22.txt','w+b')
		copy = open('wtpz22_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPZ22 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpz23():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz23.knhc.tcm.ep3.txt")
	output = open('wtpz23_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz23.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz23.txt','w+b')
		copy = open('wtpz23_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPZ23 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpz24():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz24.knhc.tcm.ep4.txt")
	output = open('wtpz24_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz24.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz24.txt','w+b')
		copy = open('wtpz24_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPZ24 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtpz25():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz25.knhc.tcm.ep5.txt")
	output = open('wtpz25_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz25.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz25.txt','w+b')
		copy = open('wtpz25_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTPZ25 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update

def wtpz41():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz41.knhc.tcd.ep1.txt")
	output = open('wtpz41_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz41.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz41.txt','w+b')
		copy = open('wtpz41_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTPZ41 ...see text"
		
def wtpz42():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz42.knhc.tcd.ep2.txt")
	output = open('wtpz42_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz42.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz42.txt','w+b')
		copy = open('wtpz42_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTPZ42 ...see text"
		
def wtpz43():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz43.knhc.tcd.ep3.txt")
	output = open('wtpz43_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz43.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz43.txt','w+b')
		copy = open('wtpz43_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTPZ43 ...see text"
		
def wtpz44():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz44.knhc.tcd.ep4.txt")
	output = open('wtpz44_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz44.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz44.txt','w+b')
		copy = open('wtpz44_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTPZ44 ...see text"
		
def wtpz45():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtpz45.knhc.tcd.ep5.txt")
	output = open('wtpz45_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtpz45.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtpz45.txt','w+b')
		copy = open('wtpz45_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTPZ45 ...see text"
		
def abnt20():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/ab/abnt20.knhc.two.at.txt")
	output = open('abnt20_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('abnt20.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('abnt20.txt','w+b')
		copy = open('abnt20_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "ABNT20 ...see text"

def abpz20():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/ab/abpz20.knhc.two.ep.txt")
	output = open('abpz20_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('abpz20.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('abpz20.txt','w+b')
		copy = open('abpz20_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "ABPZ20 ...see text"
		
def axnt20():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/ax/axnt20.knhc.twd.at.txt")
	output = open('axnt20_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('axnt20.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('axnt20.txt','w+b')
		copy = open('axnt20_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "AXNT20 ...see text"
		
def axpz20():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/ax/axpz20.knhc.twd.ep.txt")
	output = open('axpz20_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('axpz20.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('axpz20.txt','w+b')
		copy = open('axpz20_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "AXPZ20 ...see text"
		
def wwjp25():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/ww/wwjp25.rjtd..txt")
	output = open('wwjp25_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wwjp25.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wwjp25.txt','w+b')
		copy = open('wwjp25_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WWJP25 ...see text"
		
def wtnt21():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt21.knhc.tcm.at1.txt")
	output = open('wtnt21_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt21.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt21.txt','w+b')
		copy = open('wtnt21_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTNT21 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtnt22():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt22.knhc.tcm.at2.txt")
	output = open('wtnt22_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt22.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt22.txt','w+b')
		copy = open('wtnt22_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTNT22 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtnt23():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt23.knhc.tcm.at3.txt")
	output = open('wtnt23_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt23.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt23.txt','w+b')
		copy = open('wtnt23_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTNT23 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtnt24():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt24.knhc.tcm.at4.txt")
	output = open('wtnt24_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt24.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt24.txt','w+b')
		copy = open('wtnt24_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTNT24 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtnt25():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt25.knhc.tcm.at5.txt")
	output = open('wtnt25_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt25.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt25.txt','w+b')
		copy = open('wtnt25_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.seek(0)
		#Read in the file once and build a list of line offsets
		line_offset = []
		offset = 0
		for line in copy:
			line_offset.append(offset)
			offset += len(line)
		copy.seek(line_offset[4]+45)
		name = copy.readline()
		name = name.strip('\n')
		copy.seek(line_offset[9]) #+35 tropical storm
		location = copy.readline()
		location = location.strip('\n')
		copy.seek(line_offset[12])
		dir = copy.readline()
		dir = dir.strip('\n')
		copy.seek(line_offset[14]+35)
		pres = copy.readline()
		pres = pres.strip('\n')
		copy.seek(line_offset[15]+41)
		wind = copy.readline()
		wind = wind.strip('\n')
		update = "WTNT25 %s %s %s %s %s" % (name, location, dir, pres, wind)
		copy.close()
		return update
		
def wtnt41():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt41.knhc.tcd.at1.txt")
	output = open('wtnt41_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt41.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt41.txt','w+b')
		copy = open('wtnt41_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTNT41 ...see text"
		
def wtnt42():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt42.knhc.tcd.at2.txt")
	output = open('wtnt42_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt42.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt42.txt','w+b')
		copy = open('wtnt42_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTNT42 ...see text"
		
def wtnt43():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt43.knhc.tcd.at3.txt")
	output = open('wtnt43_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt43.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt43.txt','w+b')
		copy = open('wtnt43_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTNT43 ...see text"
		
def wtnt44():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt44.knhc.tcd.at4.txt")
	output = open('wtnt44_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt44.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt44.txt','w+b')
		copy = open('wtnt44_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTNT44 ...see text"
		
def wtnt45():
	file = urllib2.urlopen("http://weather.noaa.gov/pub/data/raw/wt/wtnt45.knhc.tcd.at5.txt")
	output = open('wtnt45_1.txt','w+b')
	output.write(file.read())
	output.seek(0)
	header = output.read(6)
	output.seek(12)
	newproducttime = output.read(6)
	output.close()
	output = open('wtnt45.txt','rb')
	output.seek(12)
	producttime = output.read(6)
	output.close()
	if newproducttime == producttime:
		return "none"
	elif newproducttime != producttime:
		output = open('wtnt45.txt','w+b')
		copy = open('wtnt45_1.txt','rb')
		output.write(copy.read())
		output.close()
		copy.close()
		return "WTNT45 ...see text"
		
def checkfiles():
	j = 0
	status = dfilewtpq20()
	status2 = wtpq21()
	status3 = wtpq22()
	status4 = wtpz25()
	status5 = wtpz45() #add atlantic versions of discussion
	status6 = wtpz21()
	status7 = wtpz22()
	status8 = wtpz23()
	status9 = wtpz24()
	status10 = abnt20()
	status11 = abpz20()
	status12 = axnt20()
	status13 = axpz20()
	status14 = wtpz41()
	status15 = wtpz42()
	status16 = wtpz43()
	status17 = wtpz44()
	status18 = wwjp25()
	status19 = wtnt21()
	status20 = wtnt22()
	status21 = wtnt23()
	status22 = wtnt24()
	status23 = wtnt25()
	status24 = wtnt41()
	status25 = wtnt42()
	status26 = wtnt43()
	status27 = wtnt44()
	status28 = wtnt45()
	tme()
	d2 = datetime.fromtimestamp( int(float(realtime) ) )
	if status != "none":
		print "%s %s" % (d2,status)
		j = j + 1
	if status2 != "none":
		print "%s %s" % (d2,status2)
		j = j + 1
	if status3 != "none":
		print "%s %s" % (d2,status3)
		j = j + 1
	if status4 != "none":
		print "%s %s" % (d2,status4)
		j = j + 1
	if status5 != "none":
		print "%s %s" % (d2,status5)
		j = j + 1
	if status6 != "none":
		print "%s %s" % (d2,status6)
		j = j + 1
	if status7 != "none":
		print "%s %s" % (d2,status7)
		j = j + 1
	if status8 != "none":
		print "%s %s" % (d2,status8)
		j = j + 1
	if status9 != "none":
		print "%s %s" % (d2,status9)
		j = j + 1
	if status10 != "none":
		print "%s %s" % (d2,status10)
		j = j + 1
	if status11 != "none":
		print "%s %s" % (d2,status11)
		j = j + 1
	if status12 != "none":
		print "%s %s" % (d2,status12)
		j = j + 1
	if status13 != "none":
		print "%s %s" % (d2,status13)
		j = j + 1
	if status14 != "none":
		print "%s %s" % (d2,status14)
		j = j + 1
	if status15 != "none":
		print "%s %s" % (d2,status15)
		j = j + 1
	if status16 != "none":
		print "%s %s" % (d2,status16)
		j = j + 1
	if status17 != "none":
		print "%s %s" % (d2,status17)
		j = j + 1
	if status18 != "none":
		print "%s %s" % (d2,status18)
		j = j + 1
	if status19 != "none":
		print "%s %s" % (d2,status19)
		j = j + 1
	if status20 != "none":
		print "%s %s" % (d2,status20)
		j = j + 1
	if status21 != "none":
		print "%s %s" % (d2,status21)
		j = j + 1
	if status22 != "none":
		print "%s %s" % (d2,status22)
		j = j + 1
	if status23 != "none":
		print "%s %s" % (d2,status23)
		j = j + 1
	if status24 != "none":
		print "%s %s" % (d2,status24)
		j = j + 1
	if status25 != "none":
		print "%s %s" % (d2,status25)
		j = j + 1
	if status26 != "none":
		print "%s %s" % (d2,status26)
		j = j + 1
	if status27 != "none":
		print "%s %s" % (d2,status27)
		j = j + 1
	if status28 != "none":
		print "%s %s" % (d2,status28)
		j = j + 1
	if j == 0:
		print d2,"checked"
		
def continual():
	i = 0
	while(i == 0):
		checkfiles()
		time.sleep(300)
    
def run():
    wryte()
    choice = int(input('1 - time, 2 - quit, 3 - download WTPQ, 4 - continual mode: '))
    if choice == 1:
        wryte()
    if choice == 2:
        sys.exit()
    if choice == 3:
        dfilewtpq()
    if choice == 4:
        os.system('cls')
        continual()

x = 0
while (x == 0):
    run()